Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

ant-scala-2.10.7-4.3 RPM for noarch

From OpenSuSE Tumbleweed for noarch

Name: ant-scala Distribution: openSUSE Tumbleweed
Version: 2.10.7 Vendor: openSUSE
Release: 4.3 Build date: Wed Mar 11 23:16:12 2020
Group: Development/Libraries/Java Build host: cloud134
Size: 2519 Source RPM: scala-2.10.7-4.3.src.rpm
Packager: https://bugs.opensuse.org
Url: http://www.scala-lang.org/
Summary: Development files for Scala
Scala is a general purpose programming language for the JVM that blends
object-oriented and functional programming. This package enables support for
the Scala ant tasks.

Provides

Requires

License

BSD-3-Clause AND CC0-1.0 AND SUSE-Public-Domain

Changelog

* Tue Dec 17 2019 Fridrich Strba <fstrba@suse.com>
  - Stop overriding default fuzz in spec file
  - Changed patch:
    * scala-2.10.7-source6.patch
      + Refresh using source service
* Fri Dec 13 2019 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Add _constraints to avoid long builds because of swapping
* Wed Dec 04 2019 Dominique Leuenberger <dimstar@opensuse.org>
  - Have scala-bootstrap-swing require scala*bootstrap and
    scala-swing require scala. There is not guarantee that the
    rebuild counters between scala and scala-bootstrap would be in
    sync, making the Requires: scala = %{version}-%{release} for
    scala-bootstrap unresolvable (let alone that it would not be
    usable before scala is built)
* Fri Nov 29 2019 Fridrich Strba <fstrba@suse.com>
  - Do not package ant tasks in bootstrap build
  - Added patch:
    * scala-2.10.7-java8compat.patch
      + Build binaries compatible with java 8 even when building
      with jdk >= 9
* Thu Nov 28 2019 Fridrich Strba <fstrba@suse.com>
  - Upgrade to upstream version 2.10.7
    * Can be built and used with java 11
  - Get sources by a source service instead of a custom script
  - Clean a bit the spec file and remove unnecessary sources
  - Added patches:
    * scala-2.10.7-source6.patch
      + Build not only with target level 6, but also with source
      level 6, in order to be able to build with jdk9+
    * scala-2.10.7-lines.patch
      + Fix type conflict with jdk11's java.lang.String.lines
* Tue Nov 26 2019 Fridrich Strba <fstrba@suse.com>
  - Do not build api documentation in bootstrap flavour
  - Be extra verbose for the scalac build
    * The build is long on non-JIT architectures and OBS needs some
      compiler output in order to know that the job is not dead;
      otherwise it kills it.
  - Do not build apidocs to avoid intermittent internal scaladoc
    errors after hours of build on s390x
  - Remove obsolete scriptlets
* Mon Mar 25 2019 Fridrich Strba <fstrba@suse.com>
  - Let the non-bootstrap packages obsolete their bootstrap
    counterparts
* Sat Mar 23 2019 Jan Engelhardt <jengelh@inai.de>
  - Make scriptlets POSIX sh compatible.
  - Trim filler wording from descriptions.
* Fri Mar 01 2019 Fridrich Strba <fstrba@suse.com>
  - Initial packaging of scala compiler 2.10.6

Files

/etc/ant.d/scala
/usr/share/licenses/ant-scala
/usr/share/licenses/ant-scala/LICENSE


Generated by rpm2html 1.8.1

Fabrice Bellet, Sat Jun 27 23:43:50 2020